---
apiVersion: apps/v1 # for versions before 1.9.0 use apps/v1beta2
kind: Deployment
metadata:
  name: idlivedoc-server-deployment
spec:
  selector:
    matchLabels:
      app: idlivedoc-server
  replicas: 1 # tells deployment to run 2 pods matching the template
  template:
    metadata:
      labels:
        app: idlivedoc-server
    spec:
      containers:
      - name: idlivedoc-server
        image: 367672406076.dkr.ecr.eu-central-1.amazonaws.com/idlivedoc-server:1.2.0
        ports:
        - containerPort: 8080
        env:
        - name: "IDLIVEDOC_SERVER_AVAILABLE_PIPELINES"
          value: "default-sr,default-pc,default-ps"
        - name: "S3_TOKEN"
          value: "****************"
        - name: "S3_SECRET"
          value: "***********************"
        - name: "S3_REGION"
          value: "us-east-1"
        - name: "S3_BUCKET"
          value: "mybucket"
        - name: "S3_PATH"
          value: "das-demo"
        - name: "LOGSTASH_HOST"
          value: "elk.idrnd.net" 
        - name: "LOGSTASH_PORT"
          value: "5959"
        - name: "SERVER_ALLOW_CORS"
          value: "true"
